amiberry(1)

NAME
amiberry - An optimized Amiga emulator for Linux/macOS

SYNTAX
amiberry [<OPTIONS>... ] [<FILE>]

DESCRIPTION
amiberry is an optimized Amiga emulator for ARM32, ARM64, x86_64 and RISC-V platforms. It runs on both macOS and Linux, and includes JIT support to get high-performance results on CPU-intensive emulated environments. On top of that, there are some unique features developed specifically for Amiberry, such as the WHDLoad booter, support for RetroArch controller mappings, and many more.

amiberry can be used in a KMSDRM console, or in the x11/Wayland windowing environment. When launched without any arguments, by default the amiberry GUI will be displayed, which can be used to configure and control the Amiga emulation. It is also possible to launch amiberry from the cmd-line, to start from any supported Amiga file type, or using a config.uae file.

OPTIONS

-h / --help
    Display the command help text.

-f <file> / --config <file>
    Load the specified config.uae <file>. If the <file> is present in the Configurations paths directory, there is no need to include the full path to the config.uae <file>.

--model <Amiga Model>
    Select the Amiga Model to emulate, from the QuickStart options. The available options are: A500, A500P, A1200, A4000, CD32 and CDTV. Note: the Amiga models a500, a500P, a1200, a4000 are also valid targets.

--autoload <file>
    Load an .lha WHDLoad game or a CD32 CD image <file>, using the WHDBooter.

--cdimage <file>
    Load the CD image <file> specified when starting emulation.

--statefile <file>
    Load a save state file (.uss) - this must be used in combination with other options. Alternately, you can direct-load a save state <file>. See Usage examples.

-s <option>=<value>
    Set one or more configuration options directly, without loading a config.uae file. Please examine an existing configuration file in order to know valid parameters and settings available.

Additional options:

amiberry <file>
    Auto-detect the type of file and use the default action for it. Supported file types are: config.uae files, WHDLoad.lha game files, CD image files (bin/cue/iso) and most all types of floppy disk images. You can also load save state (.uss files) directly using this syntax.

-0 <disk.adf> / -1 <disk.adf> / -2 <disk.adf> / -3 <disk.adf>
    Insert specified ADF image into the designated emulated floppy drive 0-3.

-diskswapper=d1.adf,d2.adf
    Comma-separated list of disk images to pre-load to the Disk Swapper.

-r <kick.rom>
    Load main ROM from the specified path.

-K <kick.rom>
    Load extended ROM from the specified path.

-m VOLNAME:mount_point
    Attach a volume directly to the specified mount point.

-W DEVNAME:hardfile
    Attach a hardfile with the specified device name.

-S <value>
    Sound parameter specification.

-R <value>
    Output framerate in frames per second.

-i  Enable illegal memory.

-J <xy>
    Specify joystick 0 (x) and 1 (y). Possible values: 0/1 for joystick, M for mouse, and a/b/c.

-w <value>
    CPU emulation speed. Possible values: 0 (Cycle Exact), -1 (Max).

-G  Don't show the GUI, start emulation directly.

-n  Enable Immediate Blits. Only available when illegal memory is not enabled.

-v <value>
    Set Chipset. Possible values: 0 (OCS), 1 (ECS Agnus), 2 (ECS Denise), 3 (Full ECS), 4 (AGA).

-C <value>
    Set CPU specs.

-Z <value>
    Z3 FastRAM size, value in 1MB blocks, i.e. 2=2MB.

-U <value>
    RTG Memory size, value in 1MB blocks, i.e. 2=2MB.

-F <value>
    Fastmem size, value in 1MB blocks, i.e. 2=2MB.

-b <value>
    Bogomem size, value in 256KB blocks, i.e. 2=512KB.

-c <value>
    Size of chip memory (in number of 512 KBytes chunks).

-I <value>
    Set keyboard layout language. Possible values: de, dk, us, se, fr, it, es.

-O <value>
    Set graphics specs.

-H <value>
    Color mode.

Files:

amiberry.portable
    If you create an empty/dummy file named amiberry.portable in the same directory you run Amiberry from, amiberry will behave as it did previously in 'standalone' mode...ie; all resources are referenced to the directory amiberry & amiberry.portable are contain in.

Variables:

AMIBERRY_DATA_DIR
    If this ENV variable is set, and the directory it points to actually exists, this will be used. This allows custom installations to modify the default expected path. The variable should point to the full path including the data folder at the end.

AMIBERRY_HOME_DIR
    If this ENV variable is set, and it points to an existing directory, that will be used as the amiberry home directory, where user-configurable files and folders reside, like floppies, hard drives, roms, etc.

AMIBERRY_CONFIG_DIR
    If this ENV variable is set, and it points to an existing directory, that will be used as the default directory that contains all the application configs (*.uae files) that are created/saved.

AMIBERRY_PLUGINS_DIR
    If this ENV variable is set, and it points to an existing directory, that will be used as the default directory to search for required plugin libraries such as libcapsimage.so, libfloppybridge.so, qemu-uae.so etc.

Usage:

Example 1: amiberry --model A1200 -G
    amiberry will use the A1200 default settings as found in the QuickStart panel. Additionally, it will override 'use_gui' to 'no', so that it enters emulation directly. Note that lower case names for Amiga models is also valid...ie; --model a1200

Example 2: amiberry --config A500.uae -G
    amiberry will search the directory specified in the Path panel-> Configuration files: for the A500.uae config file, and load the configuration file and enters emulation directly.

Example 3: amiberry --config conf/A500.uae --statefile savestates/game.uss -s use_gui=no
    amiberry will load the conf/A500.uae configuration file, with the save state named game. It will override 'use_gui' to 'no', so that it enters emulation directly.

Example 4: amiberry game.uss
    amiberry will load the game.uss file, using the directives it contains to enter the emulation directly from the saved state. Note that amiberry will search the directory specified in the Path panel for Save state files: to locate the *.uss file.

Example 5: amiberry lha/MyGame.lha
    amiberry will load the WHDLoad game MyGame.lha, using the autoload mechanism.

AUTHOR

Maintainer: Dimitris Panokostas <midwan@gmail.com> Website: <https://amiberry.com/>

amiberry is built upon the work of many talented people ~ please see the AUTHORS file in the source archive, or click on the About button in the GUI.

REPORTING BUGS

If you believe you have found a bug in amiberry and wish to report it, please use the amiberry Github page <https://github.com/BlitterStudio/amiberry/issues>

COPYRIGHT

amiberry is released under the auspices of the GPLv3.0 license ~ please see the LICENSE file contained in the source archive.

SEE ALSO

For further details about amiberry, please see the wiki <https://github.com/BlitterStudio/amiberry/wiki>